Additional Files

Additional files (e.g. auxiliary files) can be loaded to the device using the same mechanism as described in Software Load.

The following additional files are supported:

■ /files/amd – answering machine detection
■ /files/castable – CAS table
■ /files/configurationPackage.tar.gz – configuration package
■ /files/cpt – call progress tones
■ /files/debugFile - Debug file (of active unit if HA)
■ /files/debugFileRedundant – Debug file of redundant unit
■ /files/dialplan – dial plan
■ /files/prt – pre-recorded tones
■ /files/voiceprompts – voice prompts
■ /files/sbcWizard – SBC wizard template package
■ /usersInfo – Users Info

URL

/api/v1/files/<filename>

HTTP Method

PUT

HTTP Responses

■ 200 OK
■ 400 Bad request – provided software load is incorrect.
■ 409 Conflict – software load can’t be applied due to the current device state (e.g. synchronization with the redundant device is in progress).

Example

PUT /api/v1/files/cpt HTTP/1.1
Host: 10.4.219.229
Content-Type: multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW
 
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="file"; filename="tones.cpt"
Content-Type: application/octet-stream
 
<call progress tones file>
------WebKitFormBoundary7MA4YWxkTrZu0gW--